#pragma once

#include <vector>
#include <string>

namespace VWeb {
class String {
public:
  static std::vector<std::string> Split(const std::string& s,
                                        const std::string& delimiter);
  static std::string Join(const std::vector<std::string>& items, const std::string& delimiter);
  static int ToNumber(std::string& string, int def);
  static void ToLowerCase(std::string& value);
  static void Trim(std::string& value);
  static std::string TrimCopy(const std::string& value);
  static std::string UrlDecode(const std::string& value);
};
}